#
# spec file for package systemtap
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           systemtap
BuildRequires:  gcc-c++ glib2-devel libcap-devel libebl-devel pkg-config sqlite-devel
BuildRequires:  mozilla-nspr-devel mozilla-nss-devel mozilla-nss-tools
License:        GPLv2+
Version:        1.6
Release:        8
Summary:        Instrumentation System
Group:          Development/Tools/Debuggers
Url:            http://sourceware.org/systemtap/
Source:         systemtap-%{version}.tar.bz2
Source2:        README-BEFORE-ADDING-PATCHES
Source3:        stap-server.conf
Obsoletes:      systemtap-client < 1.5
Requires:       %{name}-runtime = %{version}-%{release}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
SystemTap is an instrumentation system for systems running Linux.
Developers can write instrumentation to collect data on the operation
of the system.

%package runtime
License:        GPLv2+
Group:          Development/Tools/Debuggers
Summary:        Runtime environment for systemtap

%description runtime
SystemTap is an instrumentation system for systems running Linux.
This package contains the runtime environment for systemtap programs.

%package server
License:        GPLv2+
Group:          Development/Tools/Debuggers
Summary:        Systemtap server
Requires:       %{name} = %{version}-%{release}
# dependancies for systemtap shell scripts
Requires:       coreutils avahi avahi-utils mozilla-nss-tools zip unzip

%description server
SystemTap is an instrumentation system for systems running Linux.
This package contains the server component of systemtap.

%package sdt-devel
License:        GPLv2+
Group:          Development/Tools/Debuggers
Summary:        Static probe support tools
Requires:       %{name} = %{version}-%{release}
Requires:       python-base

%description sdt-devel
SystemTap is an instrumentation system for systems running Linux.
This package contains the support tools for static probes.

%prep
%setup -q

%build
%configure --disable-docs --docdir=%{_docdir}/systemtap
make %{?jobs:-j %jobs}

%install
%makeinstall
# XXX
rm -f $RPM_BUILD_ROOT/usr/lib/systemtap/stap-server-request
# README, AUTHORS, NEWS, man3 and all examples packaged by systemtap-docs
# COPYING needs to stay in main for GPL
rm -rf $RPM_BUILD_ROOT%{_docdir}/systemtap/
rm -rf $RPM_BUILD_ROOT%{_mandir}/man3
mkdir -p $RPM_BUILD_ROOT%{_docdir}/systemtap/
cp COPYING $RPM_BUILD_ROOT%{_docdir}/systemtap/
mkdir -p $RPM_BUILD_ROOT%{_localstatedir}/cache/systemtap
mkdir -p $RPM_BUILD_ROOT%{_localstatedir}/log
touch $RPM_BUILD_ROOT%{_localstatedir}/log/stap-server.log
# config file for stap-server (/var/run now on tmpfs)
mkdir -p $RPM_BUILD_ROOT/usr/lib/tmpfiles.d
install -m 644 %SOURCE3 $RPM_BUILD_ROOT/usr/lib/tmpfiles.d

%{find_lang} systemtap

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%{_bindir}/stap
%{_mandir}/man[17]/*
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/runtime
%{_datadir}/%{name}/tapset
#packaged by systemtap-initscript in upstream
%dir %{_localstatedir}/cache/systemtap

%files runtime -f systemtap.lang
%defattr(-,root,root)
%doc %{_docdir}/systemtap
%{_bindir}/staprun
%{_bindir}/stapsh
%{_bindir}/stap-merge
%{_bindir}/stap-report
%dir %{_libexecdir}/%{name}
%{_libexecdir}/%{name}/stapio
%{_libexecdir}/%{name}/stap-env
%{_libexecdir}/%{name}/stap-authorize-cert
%{_mandir}/man8/staprun.8*

%files server
%defattr(-,root,root)
%dir /usr/lib/tmpfiles.d
/usr/lib/tmpfiles.d/stap-server.conf
%{_bindir}/stap-server
%{_libexecdir}/%{name}/stap-gen-cert
%{_libexecdir}/%{name}/stap-serverd
%{_libexecdir}/%{name}/stap-sign-module
%{_libexecdir}/%{name}/stap-start-server
%{_libexecdir}/%{name}/stap-stop-server
%{_mandir}/man8/stap-server.8*
%ghost %{_localstatedir}/log/stap-server.log
%ghost %dir %{_localstatedir}/run/stap-server

%files sdt-devel
%defattr(-,root,root)
%{_bindir}/dtrace
%{_includedir}/sys/*.h

%changelog
